/*
 * Class CONTAINER [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_360 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_360 [] = {0xFF01,237,359,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_360 [] = {0xFF01,359,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_360 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_360 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_360 [] = {0xFF01,359,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_360 [] = {0xFF01,359,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_360 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_360 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_360 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_360 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_360 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_360 [] = {359,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_360 [] = {0xFF01,359,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_360 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_360 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_360[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_360), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_360), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_360), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_360), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_360), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_360), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_360), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_360), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_360), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_360), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_360), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_360), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_360), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_360), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_360), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_360), -1, 0xFFFFFFFF},
};
void Init360(void)
{
	IDSC(desc_360, 0, 359);
	IDSC(desc_360 + 1, 1, 359);
	IDSC(desc_360 + 32, 77, 359);
}


#ifdef __cplusplus
}
#endif
